#!/usr/bin/python
import sys
import compiler
from compiler.ast import *

i=0

def rec(parent):
	global i
	print "node" + str(i) + ' [label="' + parent.__class__.__name__ + '"]'
	j=i
	i+=1
	for child in parent.getChildNodes():
		print "node" + str(j) + "->node" + str(i)
		rec(child)

if sys.argv.__len__() > 1:
#	i=0
	mod=compiler.parseFile(sys.argv[1])
	print "digraph G {"
	rec(mod)
	print "}"
	sys.exit(0)
else:
	print "Usage: walk.py <File.py> | dot -Tpng > <File.png>"
	sys.exit(1)
